#version 150 core

in vec2 texCoords;
out vec4 outColor;
uniform sampler2D tex;

void main(void) {
    float x = texCoords.x - 0.5;
    float y = texCoords.y - 0.5;
    float r = sqrt(x*x + y*y); // 0..0.5
    if (r>=0.5){
    	outColor = vec4(0.0, 0.0, 0.0, 1.0);
    }else{
	    r = asin(r*2) / 3.1415926;
	   	float a = atan(y, x);
		x = 0.5 + r * cos(a);
		y = 0.5 + r * sin(a);
		outColor = texture(tex, vec2(x, y));
	}
}
